﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;
    using Eco.Core.Controller;

            
    /// <summary>
    /// <para>Server side item definition for the "FlaxTrawlerNet" item.</para>
    /// <para>This item is currently hidden from the player. It is either an internal use item or not ready for public release. Removing the hidden tag is not recommended.</para>
    /// <para>More information about VehicleToolItem objects can be found at https://docs.play.eco/api/server/eco.gameplay/Eco.Gameplay.Items.VehicleToolItem.html</para>
    /// </summary>
    /// <remarks>
    /// This is an auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization. 
    /// If you wish to modify this class, please create a new partial class or follow the instructions in the "UserCode" folder to override the entire file.
    /// </remarks>
    [Serialized] // Tells the save/load system this object needs to be serialized. 
    [LocDisplayName("Flax Trawler Net")] // Defines the localized name of the item.
    [Weight(5000)] // Defines how heavy FlaxTrawlerNet is.
    [RepairRequiresSkill(typeof(TailoringSkill), 0)]
    [Category("Hidden")] // Hides this object from the player. It is not recommended you remove this tag.
    public partial class FlaxTrawlerNetItem : VehicleToolItem
    {

        private static IDynamicValue skilledRepairCost      = new ConstantValue(5);

        /// <summary>The tooltip description for the item.</summary>
        public override LocString DisplayDescription { get { return Localizer.DoStr("A sturdy basic combination of lines making a mesh used for catching fish on a larger scale."); } }
        public override float DurabilityRate            => DurabilityMax / (500f / 1.5f);
        public override IDynamicValue SkilledRepairCost => skilledRepairCost;
        public override Item RepairItem                 => Item.Get<Item>();
        public override Tag RepairTag                   => TagManager.Tag("Fabric");
        public override int FullRepairAmount            => 5;
    }
}
